from engine.Entity import Entity
from resources import Items
from resources.gfx import riceandtuna
import random
from Item import Item

class Food(Entity, Item):
	"""
	Food is a thing which can increase your strength.
	"""
	def __init__(self, parent, x, y):
		Entity.__init__(self, parent)
		characteristics = random.choice(Items.food)
		self.AddAnimation("food", riceandtuna.pufferdata, [self.Normalise])
		self.Animate("food")
		
                self.scale = 0.02
                self.position = [x, y]
		
                self.Rescale()
		
		# set the action that this thing performs
		self.description = "A bowl"
		self.Action = characteristics['action'][0]
		self.usetext = characteristics['action'][1]
		self.amount = characteristics['action'][2]
		self.istext = "of " + characteristics['description']
		self.ReplaceColor([230, 230, 161], characteristics['color'])
		
	def Update(self):
		self.Rescale()
