from engine.Entity import Entity
from resources import Items
from resources.gfx import pod
import random
from Item import Item

class Pod(Entity, Item):
	"""
	A pod is a thing which can increase your armour plating.
	"""
	def __init__(self, parent, x, y):
		Entity.__init__(self, parent)
		characteristics = random.choice(Items.pods)
		self.AddAnimation("pod", pod.pufferdata, [self.Normalise])
		self.Animate("pod")
		
                self.scale = 0.02
                self.position = [x, y]
		
                self.Rescale()
		
		# set the action that this thing performs
		self.description = "A pod"
		self.Action = characteristics['action'][0]
		self.usetext = characteristics['action'][1]
		self.istext = characteristics['action'][2]
		self.amount = characteristics['action'][3]
		self.ReplaceColor([200, 200, 200], characteristics['color'])
		self.ReplaceColor([175, 175, 175], self.Darken(characteristics['color']))
		
	def Update(self):
		self.Rescale()
